package com.arrebol.taxiservicios.wrapper;

import java.io.Serializable;

/**
 *
 * @author Carlos Janitzio Zavala Lopez
 */
public class MetricWrapper implements Serializable {

    private static final long serialVersionUID = -6085250204887131322L;
    private String loading;
    private Double percent;
    private String name;
    private String style;

    public MetricWrapper() {
    }

    /**
     * 
     * @param percent
     * @param name 
     */
    public MetricWrapper(Double percent, String name) {
        this.percent = percent;
        this.name = name;
    }

    public MetricWrapper(String loading, Double percent, String name) {
        this.loading = loading;
        this.percent = percent;
        this.name = name;
    }

    public String getLoading() {
        return loading;
    }

    public void setLoading(String loading) {
        this.loading = loading;
    }

    public Double getPercent() {
        return percent;
    }

    public void setPercent(Double percent) {
        this.percent = percent;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStyle() {
        return style;
    }

    public void setStyle(String style) {
        this.style = style;
    }

}
